## nokia-repository 1.0

=== Makefile ===
# Nothing to do, everything is in debian/postinst.

all:

clean:

install:

=== debian/changelog ===
nokia-repository (1.0) unstable; urgency=low

  * Initial release.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 23 May 2006 21:34:37 +0300

=== debian/control ===
Source: nokia-repository
Section: misc
Priority: optional
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends-Indep: debmake
Standards-Version: 3.5.10

Package: nokia-repository
Architecture: all
Maintainer: <marius.vollmer@nokia.com>
Depends: osso-application-installer (>= 4.0), osso-gnupg | gnupg, apt
Description: Configuration for the Nokia repository

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

build:
	$(checkdir)
	$(MAKE)

clean:
	$(checkdir)
	$(MAKE) clean
	-rm -rf debian/tmp
	-rm -rf debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
	rm -rf debian/tmp
	$(MAKE) install DESTDIR=$(PWD)/debian/tmp
	debstd -m -c
	dpkg-gencontrol -isp -pnokia-repository
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch: checkroot build
	$(checkdir)

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
